Skip to main content

Cancel Reservation

DELETE 

/client/users/:correlation_id/reservations/:reservation_token

Removes the reservation hold for the given reservation token, if the token has not already been consumed and belongs to the account identified by the session (referenced by the correlation id).

Request

Body

This Request does not have a Body.

Response

AttributeDefinitionFormatNotes
statusIdentifies the status of the redemption reservation to be invoked.StringValue is always "CANCELLED" except for Error states
reservationTokenIdentifies the token used to reserve the redemption.String
sessionIdUsed to identify the account session during which the redemption reservation is being cancelled.String

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestAdhoc Redemption feature is not enabledINVALID_REQUESTAdhoc Redemption feature is not enabled
400 Bad RequestSession ClosedINVALID_REQUESTSession has been closed, so response cannot be provided
400 Bad RequestSession correlation ID does not exist--create it firstINVALID_REQUESTCreate a session correlation_id before making this request

Request

Responses

200 - Cancel Reservation